/* BACKGROUND */

body {
    background-color: #111;
    color: white;
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;
}

/* SECTION */

.section {
    padding-top: 10px;
    padding-bottom: 40px;
}

/* HEADER (Top + View All) */

.section-header {
    display: flex;

    justify-content: space-between;

    align-items: center;

    padding: 0 20px;

    margin-bottom: 10px;
}

/* TITLE */

.section-title {
    font-size: 24px;

    font-weight: bold;

    margin: 0;
}

/* VIEW ALL */

.view-all {
    color: #3b82f6;

    font-size: 14px;

    text-decoration: none;
}

.view-all:hover {
    text-decoration: underline;
}

/* CONTAINER MOVIE */

#movieContainer,
#newReleaseContainer {
    display: grid;

    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));

    gap: 20px;

    padding: 0 20px;
}

/* CARD */

.movie-container {
    position: relative;

    border-radius: 12px;

    overflow: hidden;

    transition: transform 0.3s;

    width: 100%;
}

.movie-container:hover {
    transform: translateY(-10px);
}

/* IMAGE */

.movie-image {
    width: 100%;
    height: 300px;
    object-fit: cover;
}

/* OVERLAY */

.overlay {
    position: absolute;

    bottom: 0;
    left: 0;
    right: 0;

    background: rgba(0,0,0,0.7);

    padding: 10px;

    opacity: 0;

    transition: opacity 0.3s;

    text-align: center;
}

.movie-container:hover .overlay {
    opacity: 1;
}

/* TEXT */

.overlay h3 {
    margin: 0;
    font-size: 14px;
}

.overlay p {
    margin: 2px 0;
    font-size: 12px;
}